PUT Hierarchy/{domain}/{path}
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
PUT /api/v1/Hierarchy/{domain}/{path}
Update a hierarchy item from a path
| Path Part | Type | Description |
|---|---|---|
| domain | Enum: Unknown, ExtraTables, ScreenDefinitions, Scripts, Selections, ExternalDocuments, UserGroups, ExternalDocumentRelatedToSpmMessage, Dashboards, EmailFlows | Type of items to get Required |
| path | string | Hierarchy path to item Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entity
The hierarchy node to update.
| Property Name | Type | Description |
|---|---|---|
| HierarchyId | Integer | The primary key (auto-incremented) |
| Domain | String | Domain seperating the different hierarchy |
| Name | String | Name of this hierarchy folder. |
| Fullname | String | The full name of this category, i.e. Foo/bar/test. |
| ParentId | Integer | Parent table |
| Children | Array | Sub-items, if any. |
| Registered | String | Registered when in UTC. |
| RegisteredAssociateId | Integer | Registered by whom |
| Updated | String | Last updated when in UTC. |
| UpdatedAssociateId | Integer | Last updated by whom |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: HierarchyEntity
| Property Name | Type | Description |
|---|---|---|
| HierarchyId | int32 | The primary key (auto-incremented) |
| Domain | string | Domain seperating the different hierarchy |
| Name | string | Name of this hierarchy folder. |
| Fullname | string | The full name of this category, i.e. Foo/bar/test. |
| ParentId | int32 | Parent table |
| Children | array | Sub-items, if any. |
| Registered | date-time | Registered when in UTC. |
| RegisteredAssociateId | int32 | Registered by whom |
| Updated | date-time | Last updated when in UTC. |
| UpdatedAssociateId | int32 | Last updated by whom |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
PUT /api/v1/Hierarchy/{domain}/{path}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"HierarchyId": 995,
"Domain": "Dashboards",
"Name": "Howell Group",
"Fullname": "dolore",
"ParentId": 418,
"Children": [
{
"HierarchyId": 879,
"Domain": "Dashboards",
"Name": "Hahn Group",
"Fullname": "ipsa",
"ParentId": 627,
"Children": [
{},
{}
],
"Registered": "2021-09-04T14:34:02.0310981+02:00",
"RegisteredAssociateId": 613,
"Updated": "2013-11-01T14:34:02.0310981+01:00",
"UpdatedAssociateId": 508
}
],
"Registered": "2021-10-01T14:34:02.0310981+02:00",
"RegisteredAssociateId": 827,
"Updated": "2000-05-29T14:34:02.0310981+02:00",
"UpdatedAssociateId": 748
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"HierarchyId": 947,
"Domain": "Dashboards",
"Name": "Corwin Group",
"Fullname": "unde",
"ParentId": 575,
"Children": [
{
"HierarchyId": 781,
"Domain": "Dashboards",
"Name": "Sales Department",
"Fullname": "voluptatem",
"ParentId": 50,
"Children": [
{},
{}
],
"Registered": "2019-11-13T14:34:02.0310981+01:00",
"RegisteredAssociateId": 427,
"Updated": "2000-01-14T14:34:02.0310981+01:00",
"UpdatedAssociateId": 771,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 217
}
}
}
],
"Registered": "2024-09-12T14:34:02.0310981+02:00",
"RegisteredAssociateId": 490,
"Updated": "2014-12-21T14:34:02.0310981+01:00",
"UpdatedAssociateId": 289,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 48
}
}
}